%?mingw_package_header

%global _pkg_name libgsf

Summary:	MinGW build of structured file editing library
Name:		mingw-%{_pkg_name}
Version:	1.14.36
Release:	%mkrel 2
License:	LGPLv2+
Group:      Development/Other
URL:		http://www.gnome.org/
Source:		https://download.gnome.org/sources/libgsf/1.14/libgsf-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:	mingw32-zlib
BuildRequires:	mingw32-glib2
BuildRequires:	mingw32-libxml2
BuildRequires:	mingw32-gettext
BuildRequires:	mingw32-bzip2
BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
BuildRequires:	mingw32-binutils

BuildRequires:	mingw64-zlib
BuildRequires:	mingw64-glib2
BuildRequires:	mingw64-libxml2
BuildRequires:	mingw64-gettext
BuildRequires:	mingw64-bzip2
BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-gcc-c++
BuildRequires:	mingw64-binutils

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	gtk-doc


%description
MinGW Windows port of the library for reading and writing structured files.


# Win32
%package -n mingw32-%{_pkg_name}
Summary:	%{summary}

%description -n mingw32-%{_pkg_name}
MinGW Windows port of the library for reading and writing structured files.

%package -n mingw32-%{_pkg_name}-static
Summary:	%{summary}
Requires:	mingw32-%{_pkg_name} = %{version}-%{release}

%description -n mingw32-%{_pkg_name}-static
Static version of the MinGW Windows libgsf library.

# Win64
%package -n mingw64-%{_pkg_name}
Summary:	%{summary}

%description -n mingw64-%{_pkg_name}
MinGW Windows port of the library for reading and writing structured files.

%package -n mingw64-%{_pkg_name}-static
Summary:	%{summary}
Requires:	mingw64-%{_pkg_name} = %{version}-%{release}

%description -n mingw64-%{_pkg_name}-static
Static version of the MinGW Windows libgsf library.


%{?mingw_debug_package}


%prep
%setup -q -n %{_pkg_name}-%{version}


%build
%mingw_configure --enable-static --enable-shared \
	--without-python
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

rm -r ${RPM_BUILD_ROOT}%{mingw32_mandir}/man1/
rm -r ${RPM_BUILD_ROOT}%{mingw64_mandir}/man1/

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

%mingw_find_lang %{_pkg_name}

# Win32
%files -n mingw32-%{_pkg_name} -f mingw32-%{_pkg_name}.lang
%doc COPYING.LIB README ChangeLog
%{mingw32_bindir}/libgsf-1-114.dll
%{mingw32_bindir}/libgsf-win32-1-114.dll
%{mingw32_bindir}/gsf.exe
%{mingw32_bindir}/gsf-office-thumbnailer.exe
%{mingw32_bindir}/gsf-vba-dump.exe
%{mingw32_libdir}/libgsf-1.dll.a
%{mingw32_libdir}/libgsf-win32-1.dll.a
%{mingw32_libdir}/pkgconfig/libgsf-1.pc
%{mingw32_libdir}/pkgconfig/libgsf-win32-1.pc
%{mingw32_includedir}/libgsf-1/gsf
%{mingw32_includedir}/libgsf-1/gsf-win32
%{mingw32_datadir}/thumbnailers/gsf-office.thumbnailer

%files -n mingw32-%{_pkg_name}-static
%{mingw32_libdir}/libgsf-win32-1.a
%{mingw32_libdir}/libgsf-1.a

# Win64
%files -n mingw64-%{_pkg_name} -f mingw64-%{_pkg_name}.lang
%doc COPYING.LIB README ChangeLog
%{mingw64_bindir}/libgsf-1-114.dll
%{mingw64_bindir}/libgsf-win32-1-114.dll
%{mingw64_bindir}/gsf.exe
%{mingw64_bindir}/gsf-office-thumbnailer.exe
%{mingw64_bindir}/gsf-vba-dump.exe
%{mingw64_libdir}/libgsf-1.dll.a
%{mingw64_libdir}/libgsf-win32-1.dll.a
%{mingw64_libdir}/pkgconfig/libgsf-1.pc
%{mingw64_libdir}/pkgconfig/libgsf-win32-1.pc
%{mingw64_includedir}/libgsf-1/gsf
%{mingw64_includedir}/libgsf-1/gsf-win32
%{mingw64_datadir}/thumbnailers/gsf-office.thumbnailer

%files -n mingw64-%{_pkg_name}-static
%{mingw64_libdir}/libgsf-win32-1.a
%{mingw64_libdir}/libgsf-1.a




%changelog
* Wed Apr 06 2016 tv <tv> 1.14.36-2.mga6
+ Revision: 998865
- drop no more needed cache hack

* Sat Feb 13 2016 ovitters <ovitters> 1.14.36-1.mga6
+ Revision: 959443
- new version 1.14.36

* Mon Feb 08 2016 ovitters <ovitters> 1.14.35-1.mga6
+ Revision: 950149
- new version 1.14.35

* Wed Jul 29 2015 ovitters <ovitters> 1.14.34-1.mga6
+ Revision: 858792
- new version 1.14.34

* Sat Jun 20 2015 ovitters <ovitters> 1.14.33-1.mga6
+ Revision: 836359
- new version 1.14.33

* Thu Feb 05 2015 ovitters <ovitters> 1.14.31-1.mga5
+ Revision: 813522
- new version 1.14.31

* Wed Oct 15 2014 umeabot <umeabot> 1.14.30-3.mga5
+ Revision: 749674
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.14.30-2.mga5
+ Revision: 682475
- Mageia 5 Mass Rebuild

* Wed Mar 19 2014 ovitters <ovitters> 1.14.30-1.mga5
+ Revision: 605947
- new version 1.14.30

* Tue Feb 04 2014 ovitters <ovitters> 1.14.29-1.mga5
+ Revision: 582702
- new version 1.14.29

* Mon Sep 23 2013 neoclust <neoclust> 1.14.28-1.mga4
+ Revision: 484007
- imported package mingw-libgsf

